# Record Class MHash

java.lang.Object
java.lang.Record
com.io7m.montarre.api.MHash

Record Components:
  `algorithm` - The algorithm
  `value` - The value

public record MHash(MHashAlgorithm algorithm, MHashValue value) extends Record
A hash value for a particular algorithm.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MHash(MHashAlgorithm algorithm, MHashValue value)`
  A hash value for a particular algorithm.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MHashAlgorithm`
  `algorithm()`
  Returns the value of the `algorithm` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `MHashValue`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MHash

    public MHash(MHashAlgorithm algorithm, MHashValue value)
    A hash value for a particular algorithm.
    Parameters:
      `algorithm` - The algorithm
      `value` - The value

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### algorithm

    public MHashAlgorithm algorithm()
    Returns the value of the `algorithm` record component.
    Returns:
      the value of the `algorithm` record component

  - ### value

    public MHashValue value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component